## libshumate 1.0.3

=== meson_options.txt ===
option('gir',
       type: 'boolean', value: true,
       description: 'Generate gir data (requires gobject-introspection)')
option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data (requires vapigen)')

option('gtk_doc',
       type: 'boolean', value: true,
       description: 'Build reference manual (requires gi-docgen installed and gir enabled)')

option('demos',
       type: 'boolean', value: false,
       description: 'Build demonstration programs')

option('vector_renderer',
       type: 'boolean', value: false,
       description: 'Build the experimental vector tile renderer')

option('libsoup3',
       type: 'boolean', value: true,
       description: 'Use libsoup 3.0')

## libshumate 1.0.1

=== debian/changelog ===
libshumate (1.0.1-2) unstable; urgency=medium

  * Move shumate-1.0.pc to -dev package (Closes: #1020885)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Mon, 03 Oct 2022 14:34:45 -0700

libshumate (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 08:12:20 -0400

libshumate (1.0.0~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 31 Aug 2022 16:04:49 -0400

libshumate (1.0.0~alpha.1+20220818-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 16:26:45 -0400

libshumate (1.0.0~alpha.1+20220818-1) unstable; urgency=medium

  * New upstream git snapshot needed for GNOME Maps 43
  * Add libshumate-common package to install translations
  * Bump minimum glib to 2.68.0
  * debian/libshumate-1.0-1.symbols: Update

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 14:01:56 -0400

libshumate (1.0.0~alpha.1-3) unstable; urgency=medium

  * Build with libsoup3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 23 Aug 2022 13:10:10 -0400

libshumate (1.0.0~alpha.1-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Jul 2022 16:28:35 -0400

libshumate (1.0.0~alpha.1-1) unstable; urgency=medium

  * Initial release (Closes: #1006533)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Wed, 15 Jun 2022 15:58:01 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libshumate
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gi-docgen,
               libcairo2-dev (>= 1.16),
               libglib2.0-dev (>= 2.68.0),
               libgtk-4-dev,
               libsoup-3.0-dev,
               libsqlite3-dev (>= 1.12.0),
               meson (>= 0.53.0),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.0
Section: libs
Homepage: https://gitlab.gnome.org/GNOME/libshumate
Vcs-Browser: https://salsa.debian.org/gnome-team/libshumate
Vcs-Git: https://salsa.debian.org/gnome-team/libshumate.git
Rules-Requires-Root: no

Package: libshumate-1.0-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libshumate-common (>= ${source:Version})
Description: GTK4 widgets for embedded maps
 It supports numerous free map sources such as OpenStreetMap,
 OpenCycleMap, OpenAerialMap and Maps for free.

Package: libshumate-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-shumate-1.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.16),
         libglib2.0-dev (>= 2.68.0),
         libgtk-4-dev,
         libshumate-1.0-1 (= ${binary:Version}),
         libsoup-3.0-dev,
         libsqlite3-dev (>= 1.12.0),
         ${misc:Depends}
Breaks: libshumate-1.0-1 (<< 1.0.1-2~)
Replaces: libshumate-1.0-1 (<< 1.0.1-2~)
Description: GTK4 widgets for embedded maps -- development files
 It supports numerous free map sources such as OpenStreetMap,
 OpenCycleMap, OpenAerialMap and Maps for free.
 .
 This package contains the base development headers.

Package: gir1.2-shumate-1.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GTK4 widgets for embedded maps - gir bindings
 It supports numerous free map sources such as OpenStreetMap,
 OpenCycleMap, OpenAerialMap and Maps for free.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libshumate-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GTK4 widgets for embedded maps - common files
 It supports numerous free map sources such as OpenStreetMap,
 OpenCycleMap, OpenAerialMap and Maps for free.
 .
 This package contains common data files and translations.

Package: libshumate-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GTK4 widgets for embedded maps - documentation
 It supports numerous free map sources such as OpenStreetMap,
 OpenCycleMap, OpenAerialMap and Maps for free.
 .
 This package contains the API reference.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4


%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## libshumate 1.0.3

=== debian/changelog ===
libshumate (1.0.3-2) unstable; urgency=medium

  * Set GTK_A11Y=none for dh_auto_test (Closes: #1028891)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 14 Jan 2023 09:16:26 -0500

libshumate (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Source only upload for migration to testing

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 08 Dec 2022 18:07:45 +0100

libshumate (1.0.2-1) unstable; urgency=medium

  * New upstream release (LP: #1996807)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 05 Nov 2022 17:48:24 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                meson (>= 0.53.0),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://gitlab.gnome.org/GNOME/libshumate
 Vcs-Browser: https://salsa.debian.org/gnome-team/libshumate

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	dh $@
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	GTK_A11Y=none xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://gitlab.gnome.org/GNOME/libshumate/tags?sort=updated_desc \
archive/@ANY_VERSION@/libshumate-\d\S*@ARCHIVE_EXT@

## libshumate 1.1.0

=== debian/changelog ===
libshumate (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 09:39:15 -0400

libshumate (1.1~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 15:51:40 -0400

libshumate (1.1~beta-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libsysprof-capture-4-dev
  * debian/rules: Set -Dauto_features=enabled
  * debian/libshumate-1.0-1.symbols: Add new symbols
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:37:55 -0400

libshumate (1.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 20 Jul 2023 15:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Source: libshumate
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -15,10 +15,11 @@
                libgtk-4-dev,
                libsoup-3.0-dev,
                libsqlite3-dev (>= 1.12.0),
+               libsysprof-capture-4-dev,
                meson (>= 0.53.0),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://gitlab.gnome.org/GNOME/libshumate
 Vcs-Browser: https://salsa.debian.org/gnome-team/libshumate

## libshumate 1.2~beta

=== debian/changelog ===
libshumate (1.2~beta-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:16:36 +0000

libshumate (1.2~beta-3build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:05:21 +0000

libshumate (1.2~beta-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:29:17 +0000

libshumate (1.2~beta-3) unstable; urgency=medium

  * Cherry-pick proposed patch to try to fix precision issue with i386 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 21 Feb 2024 22:16:28 -0500

libshumate (1.2~beta-2) unstable; urgency=medium

  * Build-depend on json-glib and protobuf for the -dev
    package too (Closes: #1064161)

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 18 Feb 2024 13:59:29 +0100

libshumate (1.2~beta-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on json-glib, protobuf-c and gperf for new upstream
  * Added new symbols in libshumate1.0-1.symbols
  * Updated version dependencies for new upstream

 -- Matthias Geiger <werdahias@riseup.net>  Mon, 12 Feb 2024 23:02:30 +0100

libshumate (1.2~alpha-1) unstable; urgency=medium

  * New upstream release
  * Updated libshumate-1.0-1.symbols for new symbols

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 17 Jan 2024 22:53:25 +0100

libshumate (1.1.2-3) unstable; urgency=medium

  * Team upload

  [ Matthias Geiger ]
  * Explicitly build-depend on libgirepository1.0-dev and
    gir1.2-freedesktop-dev. (Closes: #1060994)
    These were previously pulled in as a result of a packaging issue in
    graphene (<< 1.10.8-3) which has now been fixed.
    libgirepository1.0-dev provides GLib-2.0.gir in a location compatible
    with vapigen (see #1060904).
    gir1.2-freedesktop-dev should ideally be depended on by libgtk-4-dev,
    but that is not the case yet.
  * Updated my mail address in d/control and d/copyright

  [ Simon McVittie ]
  * Cherry-pick selected packaging commits from debian/latest branch
    (see above)
  * Amend changelog above to mention why libgirepository1.0-dev and
    gir1.2-freedesktop-dev now need to be explicitly build-depended on
  * d/control: Build-depend on GIR XML that is explicitly included.
    These modules are listed in libshumate_gir_includes in the build
    system. (Helps: #1030223)
  * Add ${gir:Depends}, ${gir:Provides} to -dev package.
    See recent gobject-introspection mini-policy versions for details.
    (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2024 02:13:50 +0000

libshumate (1.1.2-2) unstable; urgency=medium

  * Build vala bindings (Closes: #1055333)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 06 Nov 2023 16:51:14 +0200

libshumate (1.1.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 06 Nov 2023 14:50:48 +0200

libshumate (1.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 24 Oct 2023 11:31:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,29 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libshumate
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>, Jeremy Bícha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Matthias Geiger <werdahias@riseup.net>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gi-docgen,
-               libcairo2-dev (>= 1.16),
-               libglib2.0-dev (>= 2.68.0),
+               gperf,
+               libgirepository1.0-dev,
+               gir1.2-freedesktop-dev,
+               gir1.2-gdk-4.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gsk-4.0-dev,
+               gir1.2-gtk-4.0-dev,
+               libcairo2-dev (>= 1.4),
+               libglib2.0-dev (>= 2.74.0),
                libgtk-4-dev,
                libsoup-3.0-dev,
                libsqlite3-dev (>= 1.12.0),
                libsysprof-capture-4-dev,
-               meson (>= 0.53.0),
+               libjson-glib-dev (>= 1.6),
+               libprotobuf-c-dev,
+               meson (>= 0.55.0),
+               valac (>= 0.11.0),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Standards-Version: 4.6.2
@@ -41,13 +48,17 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-shumate-1.0 (= ${binary:Version}),
-         libcairo2-dev (>= 1.16),
-         libglib2.0-dev (>= 2.68.0),
+         libcairo2-dev (>= 1.4),
+         libglib2.0-dev (>= 2.74.0),
          libgtk-4-dev,
          libshumate-1.0-1 (= ${binary:Version}),
          libsoup-3.0-dev,
          libsqlite3-dev (>= 1.12.0),
+         libjson-glib-dev (>= 1.6),
+         libprotobuf-c-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Breaks: libshumate-1.0-1 (<< 1.0.1-2~)
 Replaces: libshumate-1.0-1 (<< 1.0.1-2~)
 Description: GTK4 widgets for embedded maps -- development files

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,10 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dauto_features=enabled
+
 override_dh_auto_test:
 	GTK_A11Y=none xvfb-run -a dh_auto_test
+
+override_dh_gnome_clean:

## libshumate 1.2.2

=== debian/changelog ===
libshumate (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libshuamte-1.0-1.symbols: Add new symbols
  * Drop remaining patch: applied in new release
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:21:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: libshumate
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@riseup.net>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gi-docgen,
                gperf,
                libgirepository1.0-dev,
@@ -26,7 +24,7 @@
                valac (>= 0.11.0),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://gitlab.gnome.org/GNOME/libshumate
 Vcs-Browser: https://salsa.debian.org/gnome-team/libshumate

## libshumate 1.3~beta

=== debian/changelog ===
libshumate (1.3~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 15:15:22 -0400

## libshumate 1.3~rc

=== debian/changelog ===
libshumate (1.3~rc-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Fri, 06 Sep 2024 23:46:48 +0200

## libshumate 1.3.0

=== debian/changelog ===
libshumate (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Tue, 17 Sep 2024 11:40:07 +0200

## libshumate 1.3.1

=== debian/changelog ===
libshumate (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Update my mail address

 -- Matthias Geiger <werdahias@debian.org>  Thu, 09 Jan 2025 12:47:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libshumate
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Geiger <werdahias@riseup.net>, Jeremy Bícha <jbicha@ubuntu.com>
+Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gi-docgen,

## libshumate 1.4~beta

=== debian/changelog ===
libshumate (1.4~beta-1) unstable; urgency=medium

  * New upstream release
  * Add two new symbols for new upstream release

 -- Matthias Geiger <werdahias@debian.org>  Mon, 03 Feb 2025 13:44:18 +0100

## libshumate 1.4~rc

=== debian/changelog ===
libshumate (1.4~rc-1) unstable; urgency=medium

  * New upstream release
  * Bump S-V to 4.7.2; no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Tue, 04 Mar 2025 15:04:05 +0100

## libshumate 1.4.0

=== debian/changelog ===
libshumate (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Sun, 16 Mar 2025 16:18:28 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                valac (>= 0.11.0),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://gitlab.gnome.org/GNOME/libshumate
 Vcs-Browser: https://salsa.debian.org/gnome-team/libshumate

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,3 @@
 
 override_dh_auto_test:
 	GTK_A11Y=none xvfb-run -a dh_auto_test
-
-override_dh_gnome_clean:

## libshumate 1.5~beta

=== debian/changelog ===
libshumate (1.5~beta-2) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control, d/rules: Only require gi-docgen when building -doc package
  * d/rules: Use more robust xvfb-run options, notably -noreset
    (see #981201)
  * d/libshumate-doc.links: Make API documentation more discoverable
  * d/*.doc-base.*: Register API documentation with doc-base
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 21:53:59 +0100

libshumate (1.5~beta-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Replace old FSF address by webpage
  * d/libshumate-1.0-1.symbols: Add new symbols

 -- Matthias Geiger <werdahias@debian.org>  Thu, 14 Aug 2025 21:13:06 +0200

## libshumate 1.5.0.1

=== meson_options.txt ===
--- 
+++ 
@@ -14,9 +14,9 @@
        description: 'Build demonstration programs')
 
 option('vector_renderer',
-       type: 'boolean', value: false,
-       description: 'Build the experimental vector tile renderer')
+       type: 'boolean', value: true,
+       description: 'Build the vector tile renderer')
 
-option('libsoup3',
-       type: 'boolean', value: true,
-       description: 'Use libsoup 3.0')
+option('sysprof',
+       type: 'feature', value: 'auto',
+       description : 'enable sysprof-capture support for profiling')

=== debian/changelog ===
libshumate (1.5.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 06:21:04 -0400

## libshumate 1.5.1

=== debian/changelog ===
libshumate (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Switch to v5

 -- Matthias Geiger <werdahias@debian.org>  Tue, 14 Oct 2025 15:18:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               gi-docgen,
                gperf,
-               libgirepository1.0-dev,
                gir1.2-freedesktop-dev,
                gir1.2-gdk-4.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-gsk-4.0-dev,
                gir1.2-gtk-4.0-dev,
+               gobject-introspection (>= 1.80),
                libcairo2-dev (>= 1.4),
                libglib2.0-dev (>= 2.74.0),
                libgtk-4-dev,
@@ -24,12 +23,12 @@
                valac (>= 0.11.0),
                xauth <!nocheck>,
                xvfb <!nocheck>
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://gitlab.gnome.org/GNOME/libshumate
 Vcs-Browser: https://salsa.debian.org/gnome-team/libshumate
 Vcs-Git: https://salsa.debian.org/gnome-team/libshumate.git
-Rules-Requires-Root: no
 
 Package: libshumate-1.0-1
 Architecture: any
@@ -90,6 +89,7 @@
  This package contains common data files and translations.
 
 Package: libshumate-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

%:
	dh $@

configure_flags = -Dauto_features=enabled

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_test:
	env GTK_A11Y=none \
	xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
	dh_auto_test

=== debian/watch ===
Version: 5

Source: https://download.gnome.org/sources/@PACKAGE@/cache.json
Matching-Pattern: [\d.]+/@PACKAGE@-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@
Downloadurlmangle: s|cache.json||
Searchmode: plain
Uversionmangle: s/\.(alpha|beta|rc)/~$1/

## libshumate 1.5.2

=== debian/changelog ===
libshumate (1.5.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump S-V to 4.7.3; drop priority: optional

 -- Matthias Geiger <werdahias@debian.org>  Sun, 04 Jan 2026 23:07:35 +0100

## libshumate 1.6~beta

=== meson_options.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 option('vector_renderer',
        type: 'boolean', value: true,
-       description: 'Build the vector tile renderer')
+       description: 'Does nothing. As of 1.6, the vector renderer is always enabled.')
 
 option('sysprof',
        type: 'feature', value: 'auto',

=== debian/changelog ===
libshumate (1.6~beta-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file for new upstream release

 -- Matthias Geiger <werdahias@debian.org>  Thu, 29 Jan 2026 21:45:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: libshumate
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -24,7 +23,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: gi-docgen <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: libs
 Homepage: https://gitlab.gnome.org/GNOME/libshumate
 Vcs-Browser: https://salsa.debian.org/gnome-team/libshumate
